# $Id: tai64nunix.spec,v 1.1 2016/02/04 18:09:33 vip-ire Exp $

#
# RPM spec file for Peter Samuel's tai64nunix package. based on Dan
# Bernstein's daemontools package.
#
# $Id: tai64nunix.spec,v 1.1 2016/02/04 18:09:33 vip-ire Exp $
#
%global debug_package %{nil}
Summary: Converts tai64n timestamps to Unix epoch timestamps
%define name tai64nunix
Name: %{name}
%define version 0.70
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: Peter Samuel - based on code by Daniel J. Bernstein
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
URL: http://cr.yp.to/daemontools.html
Patch0: %{name}-%{version}.patch.2001020600
Patch1:	%{name}-%{version}-el8-warning-crosscomp.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Provides: tai64nunix
AutoReqProv: no

%description
The multilog program shipped with daemontools uses tai64n timestamps.
qmailanalog expects timestamps in Unix epoch format. tai64nunix
converts tai64n timestamps to Unix epoch timestamps.

%changelog
* Mon Mar 18 2024 Jean-Philippe Pialasse <jpp@koozali.org> 0.70-6.sme
- patch to make it build for el8/SME11

* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon Sep 27 2004 Charlie Brady <charlieb@e-smith.com>
- [0.70-04]
- Configure conf-cc to work around problem with later glibc.

* Tue Feb 6 2001 Peter Samuel <peters@e-smith.com>
- [0.70-03]
- Now installs in its own root area prior to creating binary RPM.

* Thu Aug 17 2000 Peter Samuel <peters@e-smith.com>
- [0.70-2]
- added patch to change default install location

%prep
%setup

# This patch allows files to be installed in a relative directory prior
# to creating the binary RPM. It does not change the installed files or
# their final installed locations.

%patch0 -p1
%patch1 -p1
# Create the relative installation directory.

mkdir -p ./root/usr

%build
# could be CFLAGS="$RPM_OPT_FLAGS -O2 --include /usr/include/errno.h" 
# or was -O2 -Wimplicit -Wunused -Wcomment -Wchar-subscripts -Wuninitialized -Wshadow -Wcast-qual -Wcast-align -Wwrite-strings -O2 --include /usr/include/errno.h
make CC="gcc"  CFLAGS="$RPM_OPT_FLAGS --include /usr/include/errno.h"  LDFLAGS="-s"

%install
make setup
make check
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /usr/local/bin/tai64nunix
